<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Custom Styled DataTables</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- BEGIN PAGE LEVEL CUSTOM STYLES -->
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/datatables.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/theme-checkbox-radio.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/dt-global_style.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/custom_dt_custom.css">
    <!-- END PAGE LEVEL CUSTOM STYLES -->
</head>

<body class="sidebar-noneoverflow">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar') %>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <div class="container">
                    <div class="row layout-top-spacing layout-spacing">
                        <div class="col-lg-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-8 col-md-8 col-sm-12 col-12 text-left" >
                                            <h4 class="mt-4 ml-2" style="font-size: 22px;">โปรโมชั่น</h4>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-8 col-md-6 col-sm-4 col-4">
                                            <a href="/product/add_promotion"><button class="btn btn-success ml-4">เพิ่มโปรโมชั่น</button></a>
                                        </div>
                                        <div class="col-xl-2 col-md-2 col-sm-2 col-4 multiCheckbox" hidden>
                                            <div class="form-group">
                                                <select class="form-control w-100" id="switch_option">
                                                    <option value="0">ปิด</option>
                                                    <option value="1">เปิด</option>
                                                </select>
                                            </div>
                                        </div>
                                        <!-- <div class="col-xl-2 col-md-2 col-sm-2 col-2 text-center multiCheckbox" >
                                            
                                        </div> -->
                                        <div class="col-xl-2 col-md-4 col-sm-4 col-2 text-left multiCheckbox" hidden>
                                            <button class="btn btn-warning text-center" onclick="check_all(1)">เปลี่ยนสถานะ</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area">
                                    <div class="table-responsive mb-4">
                                        <table id="style-2" class="table style-2  table-hover">
                                            <thead>
                                                <tr>
                                                    <th class="checkbox-columnall"> Record Id </th>
                                                    <th>Code</th>
                                                    <th>Image</th>
                                                    <th style="width: 400px;">ชื่อสินค้า</th>
                                                    <th>ราคาขาย</th>
                                                    <th>ราคาปกติ</th>
                                                    <th>สถานะ</th>
                                                    <th class="text-center" style="width:100px;">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <% data.forEach(element => { %>
                                                    <tr>
                                                        <td class="checkbox-column"></td>
                                                        <td class="code"><%=element.promotion_code %></td>
                                                        <td>
                                                            <% if(element.shop_code == 'Admin'){ %>
                                                            <span><img src="http://128.199.100.251:7000/<%=element.img_link %>" class="profile-img"
                                                                    alt="avatar"></span>
                                                            <% } else { %>
                                                                <span><img src="http://128.199.100.251:1001/<%=element.img_link %>" class="profile-img"
                                                                    alt="avatar"></span>
                                                            <% } %>
                                                        </td>
                                                        <td style="width: 400px;"><%=element.promotion_name %></td>
                                                        <td class="text-success" style="font-size: 20px;"><%=element.price_sale %></td>
                                                        <td><%=element.price %></td>
                                                        <% if(element.status == 0){ %>
                                                            <td><span class="shadow-none badge badge-danger">ปิดใช้งาน</span>
                                                        <% } else { %>
                                                            <td><span class="shadow-none badge badge-success">เปิดใช้งาน</span>
                                                        <% } %>
                                                        </td>
                                                        <td class="text-center">
                                                            <a href="javascript:void(0);" class="bs-tooltip"
                                                            data-toggle="modal" data-placement="top" title=""
                                                            data-original-title="ดูรายละเอียด" data-target="#PromotionDetail" onclick="detail('<%=element.promotion_code %>')"><svg
                                                                xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none"
                                                                stroke="currentColor" stroke-width="2"
                                                                stroke-linecap="round" stroke-linejoin="round"
                                                                class="feather feather-eye table-confirm">
                                                                <path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z">
                                                                </path>
                                                                <circle cx="12" cy="12" r="3"></circle>
                                                            </svg>
                                                        </a>
                                                        <% if(element.shop_code != 'Admin'){ %>
                                                            <a href="/Product/update_promotion/<%=element.promotion_code %>"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-2 table-edit">
                                                                <path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"></path></svg></a>
                                                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2 table-delete" onclick="delete_status('<%=element.promotion_code %>')">
                                                                <polyline points="3 6 5 6 21 6">
                                                                </polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path>
                                                                <line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line>
                                                            </svg>
                                                        <% } %>
                                                        </td>
                                                    </tr>
                                                <% }) %>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2020 <a target="_blank" href="https://designreset.com">DesignReset</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg></p>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->

    </div>
    <!-- END MAIN CONTAINER -->

        <!-- Modal -->
        <div class="modal fade" id="PromotionDetail" tabindex="-1" role="dialog" aria-labelledby="PromotionDetailTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="PromotionDetailTitle">รายละเอียดโปรโมชั่น <b class="text-success" id="text_header">Lish 1 กล่อง</b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <table class="table mb-4" id="detail_table">
                            <thead>
                                <tr>
                                    <th>รหัสสินค้า</th>
                                    <th>ชื่อสินค้า</th>
                                    <th class="text-center">จำนวน</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>12345</td>
                                    <td>Lish Flora 10s.</td>
                                    <td class="text-center">1</td>
                                </tr>

                            </tbody>
                        </table>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" data-dismiss="modal" class="btn btn-primary">ปิด</button>
                </div>
            </div>
        </div>
    </div>



    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/assets/js/app.js"></script>

    <script>
        let promotion = [] 
        let promotion_detail = []
        let dataitem
        let shop_item = []
        $(document).ready(function () {
            $('#product_menu').addClass('active')
            $('#product_slide').addClass('show')
            $('#promotion_bar').addClass('active')
            $('#product_menu > a').attr('aria-expanded',true)
            '<% promotion.forEach(element=>{ %>'
                promotion.push({promotion_name:'<%=element.promotion_name %>',promotion_code:'<%=element.promotion_code %>',status:parseInt('<%=element.status %>')})
            '<% }) %>'
            '<% promotion_detail.forEach(element=>{ %>'
                promotion_detail.push({product_code:'<%=element.product_code %>',product_name:'<%=element.product_name %>',quantity:'<%=element.quantity %>',promotion_code:'<%=element.promotion_code %>'})
            '<% }) %>'
            '<% shop_product.forEach(element=>{ %>'
                shop_item.push({product_code:'<%=element.product_code %>',product_name:'<%=element.product_name %>',quantity:'<%=element.quantity %>'})
            '<% }) %>'
            App.init();
            console.log(shop_item)
        });

        function detail(promotion_code){
            let top = promotion.filter(element=>element.promotion_code == promotion_code)
            let detail = promotion_detail.filter(element=>element.promotion_code == promotion_code)
            console.log(top,detail)
            $('#text_header').text(top[0].promotion_name)
            let add = ``
            detail.forEach(element=>{
                add += `<tr>
                            <td>${element.product_code}</td>
                            <td>${element.product_name}</td>
                            <td class="text-center">${element.quantity}</td>
                        </tr>`
            })
            let table = $('#detail_table > tbody')
            table.html('')
            table.append(add)
        }
    
        function check_all(value){
            value = $("#switch_option").val()
            let status = 0
            if(value != 0){
                status = 1
            }
            let check = true
            let problem = 0
            dataitem.forEach(element => {
                let prmotion_status = promotion.filter(value=>element.promotion_code == value.promotion_code)
                if(prmotion_status.length != 0 && prmotion_status[0].status == 0){
                    check = false;
                    problem = 1
                }else if(prmotion_status[0].status == 1){
                    let item_promotion = promotion_detail.filter(result=>result.promotion_code==element.promotion_code)
                    if(item_promotion.length != 0){
                        item_promotion.forEach(element=>{
                            let item_shop = shop_item.filter(value=>element.product_code == value.product_code)
                            // console.log(parseInt(element.quantity) > parseInt(item_shop[0].quantity),element.quantity,item_shop[0].quantity)
                            if(item_shop.length==0){
                                check = false;
                                problem = 2;
                            }else{
                                if(parseInt(element.quantity) > parseInt(item_shop[0].quantity)){
                                    check = false;
                                    problem = 2;
                                }
                            }
                            
                        })
                        }
                }
            })
                if(check){
                    dataitem.forEach(element => {
                        axios.post('/product/swtich_status' , {code:element.promotion_code,status:status,shop_code:'<%=locals.shop %>'})
                        .then((res)=>{
                            if(res.data.Message != 'Success'){
                                Swal.fire('Change is not Success!','เปลี่ยนสถานะไม่สำเร็จ','error').then(()=>{
                                    location.reload()
                                })
                            }
                        })
                    })
                    Swal.fire('Change Success!','เปลี่ยนสถานะสำเร็จ','success')
                    .then(()=>{location.reload()})
                }else{
                    if(problem == 2){Swal.fire('Change is not Success!','มีสินค้าไม่พอ','error')}
                    else if(problem == 1)(Swal.fire('Change is not Success!','Promotion ยังไม่อนุมัติ','error')) 
                }
            };

        function delete_status(promotion_code){
            axios.post('/Product/delete_promotion',{code:promotion_code}).then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('ลบสำเร็จ','','success').then(()=>{
                        location.reload();
                    })
                }else{
                    Swal.fire('ลบไม่สำเร็จ','','success').then(()=>{
                        location.reload();
                    })
                }
            })
        }
    </script>
    <script src="/assets/js/custom.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="/plugins/table/datatable/datatables.js"></script>
    <script>
        // var e;
        c1 = $('#style-1').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c1);

        c2 = $('#style-2').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c2);

        c3 = $('#style-3').DataTable({
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "stripeClasses": [],
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c3);

        $(".checkbox-columnall").on("click", function() {
            $(".checkbox-column").click();
            if($(".chk-parent").is(":checked")){
                $(".child-chk").prop('checked',false)
            }else{
                $(".child-chk").prop('checked',true)
            }
        })

        $("#style-2").on("click",'.checkbox-column', async function() {
            // console.log($(this))
            var data = []; 
            await  $("table > tbody > tr").each(function () {
            var $tr = $(this);
            if ($tr.find(".child-chk").is(":checked")) {
                $(".multiCheckbox").removeAttr('hidden',true)
                // console.log($tr.find("td.code")[0].innerHTML)
                data.push({
                    promotion_code: $tr.find("td.code")[0].innerHTML
                // number: Number($tr.find(".qty").text())
                });
            }
            if(data.length == 0){
                $(".multiCheckbox").attr('hidden',true)
            }
        
            });
            // console.clear();
            // console.log(JSON.stringify(data));
            dataitem = data
        });
    </script>
    <!-- END PAGE LEVEL SCRIPTS -->
</body>

</html>